Loading...
Searching...
No Matches
oscore_cbor.c File Reference

An implementation of the Concise Binary Object Representation (RFC). More...

`#include "coap3/coap_internal.h"`
`#include <string.h>`
Include dependency graph for oscore_cbor.c:

Go to the source code of this file.

## Functions

static void | util_write_byte (uint8_t **buffer, size_t *buf_size, uint8_t value)
size_t | oscore_cbor_put_nil (uint8_t **buffer, size_t *buf_size)
size_t | oscore_cbor_put_true (uint8_t **buffer, size_t *buf_size)
size_t | oscore_cbor_put_false (uint8_t **buffer, size_t *buf_size)
size_t | oscore_cbor_put_text (uint8_t **buffer, size_t *buf_size, const char *text, size_t text_len)
size_t | oscore_cbor_put_array (uint8_t **buffer, size_t *buf_size, size_t elements)
size_t | oscore_cbor_put_bytes (uint8_t **buffer, size_t *buf_size, const uint8_t *bytes, size_t bytes_len)
size_t | oscore_cbor_put_map (uint8_t **buffer, size_t *buf_size, size_t elements)
size_t | oscore_cbor_put_number (uint8_t **buffer, size_t *buf_size, int64_t value)
size_t | oscore_cbor_put_simple_value (uint8_t **buffer, size_t *buf_size, uint8_t value)
size_t | oscore_cbor_put_tag (uint8_t **buffer, size_t *buf_size, uint64_t value)
size_t | oscore_cbor_put_negative (uint8_t **buffer, size_t *buf_size, int64_t value)
static void | put_b_f (uint8_t **buffer, uint64_t value, uint8_t nr)
size_t | oscore_cbor_put_unsigned (uint8_t **buffer, size_t *buf_size, uint64_t value)
static uint8_t | get_byte (const uint8_t **buffer, size_t *buf_len)
static uint8_t | get_byte_inc (const uint8_t **buffer, size_t *buf_len)
uint8_t | oscore_cbor_get_next_element (const uint8_t **buffer, size_t *buf_len)
size_t | oscore_cbor_get_element_size (const uint8_t **buffer, size_t *buf_len)
uint8_t | oscore_cbor_elem_contained (const uint8_t *data, size_t *buf_len, uint8_t *end)
int64_t | oscore_cbor_get_negative_integer (const uint8_t **buffer, size_t *buf_len)
uint64_t | oscore_cbor_get_unsigned_integer (const uint8_t **buffer, size_t *buf_len)
uint8_t | oscore_cbor_get_number (const uint8_t **data, size_t *buf_len, int64_t *value)
uint8_t | oscore_cbor_get_simple_value (const uint8_t **data, size_t *buf_len, uint8_t *value)
void | oscore_cbor_get_string (const uint8_t **buffer, size_t *buf_len, char *str, size_t size)
void | oscore_cbor_get_array (const uint8_t **buffer, size_t *buf_len, uint8_t *arr, size_t size)
uint8_t | oscore_cbor_get_string_array (const uint8_t **data, size_t *buf_len, uint8_t **result, size_t *len)
static size_t | oscore_cbor_skip_value (const uint8_t **data, size_t *buf_len)
uint8_t | oscore_cbor_strip_value (const uint8_t **data, size_t *buf_len, uint8_t **result, size_t *len)

## Detailed Description

An implementation of the Concise Binary Object Representation (RFC).

Author
  Martin Gunnarsson marti.nosp@m.n.gu.nosp@m.nnars.nosp@m.son@.nosp@m.ri.se extended for libcoap by Peter van der Stok consu.nosp@m.ltan.nosp@m.cy@va.nosp@m.nder.nosp@m.stok..nosp@m.org on request of Fairhair alliance. adapted for libcoap integration Jon Shallow supjp.nosp@m.s-li.nosp@m.bcoap.nosp@m.@jps.nosp@m.hallo.nosp@m.w.co.nosp@m.m

Definition in file oscore_cbor.c.

## Function Documentation

## get_byte()

static uint8_t get_byte | ( | const uint8_t ** | buffer,
|  | size_t * | buf_len
| ) |  |

inline static

Definition at line 211 of file oscore_cbor.c.

Here is the caller graph for this function:

## get_byte_inc()

static uint8_t get_byte_inc | ( | const uint8_t ** | buffer,
|  | size_t * | buf_len
| ) |  |

inline static

Definition at line 220 of file oscore_cbor.c.

Here is the caller graph for this function:

## oscore_cbor_skip_value()

static size_t oscore_cbor_skip_value | ( | const uint8_t ** | data,
|  | size_t * | buf_len
| ) |  |

static

Definition at line 361 of file oscore_cbor.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## put_b_f()

static void put_b_f | ( | uint8_t ** | buffer,
|  | uint64_t | value,
|  | uint8_t | nr
| ) |  |

static

Definition at line 158 of file oscore_cbor.c.

Here is the caller graph for this function:

## util_write_byte()

static void util_write_byte | ( | uint8_t ** | buffer,
|  | size_t * | buf_size,
|  | uint8_t | value
| ) |  |

inline static

Definition at line 51 of file oscore_cbor.c.

Here is the caller graph for this function: